%define name	waitclose
%define version 0.3
%define release 6mdk

Summary:	Waits for a user to insert cdroms.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Kernel and hardware
Source0:	http://www.technocage.com/~caskey/waitclose/download/%{name}-%{version}.tar.bz2
URL:		http://www.technocage.com/~caskey/waitclose
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description 
waitclose is a trivially simple program that is useful
in scripts that need to wait for a user to insert cdroms.
If the disc drive is empty it will eject it. If a disc
is present it considers its work done. If the disc drive
is open it will wait until it closes with a disc in it.
Closing the tray without anything in it will cause it to
be re-opened.

%prep

%setup -q

%build

%make %{name}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_bindir}
install -m755 %{name} %{buildroot}%{_bindir}/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc doc/* INSTALL README
%{_bindir}/%{name}

%changelog
* Fri Jun 03 2005 Oden Eriksson <oeriksson@mandriva.com> 0.3-6mdk
- rebuild

* Sun May 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.3-5mdk
- build release

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3-4mdk
- build release

* Sun Aug  4 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3-3mdk
- rebuilt with gcc-3.2

* Mon May 20 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3-2mdk
- rebuilt with gcc3.1

* Mon Nov 26 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3-1mdk
- initial cooker contrib
